{
  "name": "easy-o",
  "version": "1.0.0",
  "description": "Easy O",
  "scripts": {
    "clean": "run-p clean:*",
    "build": "cross-env NODE_ENV=production && run-s build:*",
    "dev": "run-p start:*",
    "start": "node server.js",
    "check": "run-s check:*",
    "fix": "run-s fix:*",
    "clean:css.d.ts": "del-cli src/**/*.css.d.ts",
    "clean:icons": "del-cli src/assets/icons/**/*.tsx",
    "clean:webpack": "del-cli dist",
    "prebuild:css.d.ts": "run-s clean:css.d.ts",
    "prebuild:icons": "run-s clean:icons",
    "prebuild:webpack": "run-s clean:webpack",
    "build-ignore:icons": "npm run svgr src/assets/icons/**/*.svg",
    "build:webpack": "webpack",
    "prestart:webpack": "run-s clean:webpack",
    "prestart:css.d.ts": "run-s clean:css.d.ts",
    "prestart:icons": "run-s build:icons",
    "start-ignore:icons": "chokidar src/assets/icons/**/*.svg -c \"npm run svgr {path}\"",
    "start:webpack": "webpack-dev-server",
    "check:tslint": "tslint --project tsconfig.json",
    "fix:tslint": "tslint --fix --project tsconfig.json",
    "svgr": "svgr --filename-case kebab --ext tsx --icon -d ."
  },
  "dependencies": {
    "antd": "^3.26.7",
    "back-connector": "git+https://alikhan.izbergenov:av8ZEYKdSJdLuw6DDh9u@gitlab.com/alikhan.izbergenov/back-connector.git#master",
    "crc": "^3.8.0",
    "express": "^4.17.1",
    "fast-mutex": "^1.0.2",
    "html5-history-api": "^4.2.10",
    "http-proxy-middleware": "^1.0.3",
    "mobx": "^4.4.0",
    "mobx-react": "^6.1.4",
    "moment": "^2.24.0",
    "multitab_idle_timer": "^1.2.0",
    "nodemon": "^2.0.3",
    "page": "^1.11.5",
    "qs": "^6.9.1",
    "re-resizable": "^6.3.2",
    "react": "^16.12.0",
    "react-dnd": "^10.0.2",
    "react-dom": "^16.12.0",
    "react-helmet": "^6.0.0",
    "react-input-mask": "^2.0.4",
    "recharts": "^1.8.5",
    "store-connector": "git+https://alikhan.izbergenov:av8ZEYKdSJdLuw6DDh9u@gitlab.com/alikhan.izbergenov/store-connector.git#master",
    "unfetch": "^4.1.0",
    "uuid": "^3.4.0"
  },
  "devDependencies": {
    "@intervolga/optimize-cssnano-plugin": "^1.0.6",
    "@svgr/cli": "^4.0.0",
    "@types/node-sass": "^4.11.0",
    "@types/react": "^16.9.19",
    "@types/react-dom": "^16.9.5",
    "chokidar-cli": "^1.2.1",
    "cross-env": "^5.2.0",
    "css-loader": "^3.4.2",
    "css-modules-typescript-loader": "^4.0.0",
    "del-cli": "^3.0.0",
    "extract-text-webpack-plugin": "^4.0.0-beta.0",
    "file-loader": "^5.0.2",
    "fork-ts-checker-webpack-plugin": "^4.0.3",
    "html-webpack-plugin": "^3.2.0",
    "husky": "^4.2.1",
    "incstr": "^1.2.3",
    "mini-css-extract-plugin": "^0.9.0",
    "node-sass": "^4.13.1",
    "npm-run-all": "^4.1.5",
    "postcss-loader": "^3.0.0",
    "postcss-nested": "^4.2.1",
    "postcss-preset-env": "^6.7.0",
    "sass-loader": "^8.0.2",
    "sass-resources-loader": "^2.0.1",
    "source-map-loader": "^0.2.4",
    "style-loader": "^1.1.3",
    "ts-import-plugin": "^1.6.2",
    "ts-loader": "^6.2.1",
    "tslint": "^6.0.0",
    "tslint-loader": "^3.5.4",
    "typed-css-modules": "^0.6.3",
    "typescript": "^3.7.5",
    "url-loader": "^3.0.0",
    "webpack": "^4.41.5",
    "webpack-bundle-analyzer": "^3.6.0",
    "webpack-cli": "^3.3.10",
    "webpack-dev-server": "^3.10.1"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run check"
    }
  }
}
